Set transaction travel rule message ID
Associates a Travel Rule Message ID with a Fireblocks transaction. This links the TRM compliance data to the blockchain transaction.
POST
/
screening
/
trlink
/
transaction
/
{txId}
/
travel_rule_message_id
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetTransactionTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkTransactionTravelRuleMessageId(tRLinkApiSetTRLinkTransactionTravelRuleMessageIdRequest);CompletableFuture<ApiResponse<TRLinkSetTransactionTravelRuleMessageIdResponse>> response = fireblocks.tRLink().setTRLinkTransactionTravelRuleMessageId(tRLinkSetTransactionTravelRuleMessageIdRequest, txId, idempotencyKey);response = fireblocks.t_r_link.set_t_r_link_transaction_travel_rule_message_id(t_r_link_set_transaction_travel_rule_message_id_request, tx_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/screening/trlink/transaction/{txId}/travel_rule_message_id \
--header 'Content-Type: application/json' \
--data '
{
"travelRuleMessageId": "trm_1234567890abcdef"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({travelRuleMessageId: 'trm_1234567890abcdef'})
};
fetch('https://api.fireblocks.io/v1/screening/trlink/transaction/{txId}/travel_rule_message_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Fireblocks transaction unique identifier
Body
application/json
Travel Rule Message ID to associate with transaction (null to unset)
Example:
"trm_1234567890abcdef"
Response
Travel rule message ID set successfully
Whether the operation was successful
Example:
true
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetTransactionTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkTransactionTravelRuleMessageId(tRLinkApiSetTRLinkTransactionTravelRuleMessageIdRequest);CompletableFuture<ApiResponse<TRLinkSetTransactionTravelRuleMessageIdResponse>> response = fireblocks.tRLink().setTRLinkTransactionTravelRuleMessageId(tRLinkSetTransactionTravelRuleMessageIdRequest, txId, idempotencyKey);response = fireblocks.t_r_link.set_t_r_link_transaction_travel_rule_message_id(t_r_link_set_transaction_travel_rule_message_id_request, tx_id, idempotency_key);